
#include "../include/wiz.h"

// wiz specific menu control for button press

Sint32 numeroMenuWIZ=-1;

int WIZ_MenuControl(int sjWIZ, int kf,Sint32 *mv,Sint32 *mh, int dir)
{
//    printf("numeromenuwiz: %d\n",numeroMenuWIZ);

    static Uint32 md=100; // minimum delay
    static Uint32 last= 0;
    int minv = 120; // main menu default
    int maxv = 185; // main menu default
    
    switch (numeroMenuWIZ) {
	case 1 : maxv = 195; // settings
		 break;
	case 2 : minv = 80;
		 maxv = 218; // credits
		 break;
	case 3 : minv = 95;
		 maxv = 218; // greetings
		 break;
	case 4 : minv = 88;
		 maxv = 210; // infos
		 break;
	case 5 : minv = 95;
		 maxv = 210; // scores
		 break;

	default: break;
    } 

    if ( sjWIZ != 4 && kf == 0 ) return 1; // no menu active

    Uint32 now = SDL_GetTicks();
    
    // check for too fast input events
    if ( last == 0 ) last = now; // first press
    else if ( now - last < md ) return 0; // to short intervall
    last = now; // valid

    if ( dir == 2 ) { // up
	if ( sjWIZ == 4 ) { // main menu
	    if ( *mv-8 >= minv ) *mv-=8;
	    else *mv = minv;
	    if ( *mv > maxv ) *mv = maxv;
	    return 0;
	} else if ( kf != 0 ) { // in game menu
	    if ( *mv -8 >= 110 ) *mv-=8;
	    return 0;
	}
    }

    if ( dir == 6 ) { // down
	if ( sjWIZ == 4 ) { // main menu
	    if ( *mv+8 <= maxv ) *mv+=8;
	    else *mv = maxv;
	    if ( *mv < minv ) *mv = minv;
	    return 0;
	} else if ( kf != 0 ) { // in game menu
	    if ( *mv+8 <= 134 ) *mv+=8;
	    return 0;
	}
    }

    return 1; // no menu active
}
